#
# spec file for package [spectemplate]
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           openhantek
Version:        0.2.0
Release:        7.1
Summary:        A program to use hantek USB Digital Storage Oscilloscopes
License:        GPL-3.0
Url:            http://www.openhantek.org
Source0:        openhantek-0.2.0.tar.bz2        
Source1:        openhantek-extractfw-0.7.0.tar.bz2
#BuildRequires:  libqt4-devel >= 4.8 
BuildRequires:	libqt4-devel
#BuildRequires:  autoconf >= 2.69
BuildRequires:	autoconf
#BuildRequires:  automake >= 1.12
BuildRequires:	automake
#BuildRequires:  fftw3-devel >= 3.3
BuildRequires:	fftw3-devel
#BuildRequires:  libusb-1_0-devel >= 1.0.9
BuildRequires:	libusb-1_0-devel
#BuildRequires:  binutils-devel >= 2.22
BuildRequires:	binutils-devel
#BuildRequires:  zlib-devel >= 1.2.7
BuildRequires:	zlib-devel
Requires:	fxload
Requires:	unrar >= 4.0.4
#Requires: wget >= 1.13.4
Requires:	wget
Group: Productivity/Scientific/Electronics
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch0: openhantek-extractfw-opensuse_12.2.patch
Patch1: openhantek-opensuse_12.2.patch
BuildArch:      x86_64 i586
%description
OpenHantek is a free software for Hantek (Voltcraft/Darkwire/Protek/Acetech) USB DSOs based on HantekDSO. The UI is written in C++/Qt 4 and uses OpenGL to draw the graphs. 
It was tested with the DSO-2090, test results with other models are welcome.

OpenHantek has started as an alternative to the official Hantek DSO software for Linux users.

%prep
%setup -n openhantek -a 1
%patch0 -p1
%patch1 -p1

%build
qmake QMAKE_CXXFLAGS+="$RPM_OPT_FLAGS -fno-strict-aliasing"

make %{?_smp_mflags} 



cd openhantek-extractfw
autoreconf
./configure --with-firmware-dir=/usr/lib/firmware

make   CFLAGS+=" $RPM_OPT_FLAGS -fno-strict-aliasing"



%install 
cd openhantek-extractfw
#manually copy the other good stuff
mkdir -p %{buildroot}%{_datadir}/openhantek/
install -m 755 fwget.sh %{buildroot}%{_datadir}/openhantek/
install -m 755 openhantek-extractfw %{buildroot}%{_datadir}/openhantek/

mkdir -p %{buildroot}/etc/udev/rules.d/
install -m 644 90-hantek.rules %{buildroot}/etc/udev/rules.d/
cd ..
make install INSTALL_ROOT=%{buildroot}
cd %{buildroot}
mv usr/local/share/apps/openhantek/* usr/share/openhantek/
mkdir -p usr/bin
mv usr/local/bin/openhantek usr/bin/openhantek
%clean


%post
cd /usr/share/openhantek
./fwget.sh TARGETDIR=/usr/lib/firmware/hantek/

%preun 
rm -rf /usr/lib/firmware/hantek/*

%files 
%defattr(-,root,root)
%dir %{_datadir}/openhantek/
%dir %{_datadir}/openhantek/translations/
%{_bindir}/openhantek
%{_datadir}/openhantek/translations/openhantek_de.qm
%{_datadir}/openhantek/fwget.sh
%{_datadir}/openhantek/openhantek-extractfw
%dir /etc/udev
%dir /etc/udev/rules.d
%config /etc/udev/rules.d/90-hantek.rules
%doc README AUTHORS COPYING ChangeLog

%changelog
* Sun Mar 12 2013 Dan Weatherill dan.weatherill@cantab.net
  - initial RPM package
